Subject: Re: Trouble with DLL and file (com port) IO
From: "R. Steve McKown" <[email-masked]>
To: [email-masked]
Cc: Matthew Woehlke <[email-masked]>
Date: Thu, 7 Dec 2006 09:40:14 -0700
List-Id: <cygwin.cygwin.com>

On Wednesday 06 December 2006 04:27 pm, Matthew Woehlke wrote:
> Dave Korn wrote:
> >   BTW, mixing MSVC-based code with cygwin-based is inherently unreliable
> > and liable to fail unpredictably.  I guess the vendor isn't likely to
> > want to share their dll source with you so you could recompile it with
> > gcc, but it might not be /too/ complicated to just take a look at the USB
> > transactions that get sent across the bus when you try to manipulate the
> > gpios using their dll, then throw together your own custom library to
> > send the same transactions using libusb or similar.
> >
> >> This works in Linux already (we extended the
> >> linux driver to emulate the gpio capbilities of the vendor DLL).
>
> ...especially since he seemed to imply that he already has his own
> working source for Linux. It should (FLW) be fairly easy to port this to
> Cygwin (seeing as how Cygwin's purpose is to emulate Linux, and make
> porting Linux code easy).

To use libusb, a native driver can't have allocated the device, right?  The 
windows driver is currently providing a USB/serial interface so the device 
can be opened by its tty/com port.  This functionality is required.

In Linux, this was easy; extend the part's kernel driver to provide ioctl()s 
that implement the additional USB transactions to support gpio.  There's no 
such analog in the vendor's windows driver; instead they provide this 
"add-on" DLL.

Any feedback is appreciated.  I'm possibly missing some simpler alternative.

Thanks,
Steve

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/